Thinking|Think Rival
Dark Mode
A+
A+A+A+

Blog
Common Magento 2.4.4 upgrade bugs

Copyright Rival Digital Pty Ltd. All Rights Reserved

Common Magento 2.4.4 upgrade bugs

10599659 10153498657245995 4986095126532608633 nJustin Volpato | 3 mins read time

When an update comes out for a platform, there are occasionally bugs or issues that occur from the upgrade process and potential incompatibilities with existing modules.

Our team has put together the below list of bugs we have encountered with our clients Magento 2.4.4 upgrades. We will keep the list up to date if there are any other issues worth considering.

Potential Issues:

  • Knockout js templates not displaying if closed by shorthand, e.g. <div/> instead of <div></div>

  • Email templates having issues with strict variables

bin/magento dev:email:override-compatibility-check bin/magento dev:email:newsletter-compatibility-check

  • Email templates occasionally have issues with items not displaying due to change in variables.

  • Needs quality patch MDVA-44887 added. Apply quality patches needs to be run before the other steps as the fixed files needs to be before the static assets are generated.

  • Magento removed 3rd party extensions from being included via composer automatically. Need to check for use of Vertex, Dotdigital, Klarna, Amazon.

If you would like help with your Magento 2.4.4 upgrade - feel free to contact our team!